Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.configuration
Class RenderingConfiguration

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.configuration.RenderingConfiguration

    public final class RenderingConfiguration

extends Object

The `RenderingConfiguration` class is a simple wrapper to retrieve the configuration of the rendering options.

Version:
  $Revision: 20609 $, $Date: 2009-11-05 17:37:10 +0100 (Do, 05. Nov 2009) $
Author:
  Rutger Bezema, last edited by: $Author: rbezema $

Method Summary
`javax.media.j3d.ColoringAttributes` | `getColoringAttributes()`
`static RenderingConfiguration` | `getInstance()`
`javax.media.j3d.PolygonAttributes` | `getSurfacePolygonAttributes()`
`javax.media.j3d.PolygonAttributes` | `getTerrainPolygonAttributes()`
`javax.media.j3d.Texture` | `getTexture(BufferedImage textureImage)`
`javax.media.j3d.TextureAttributes` | `getTextureAttributes()`
`boolean` | `isObjectShadingEnabled()`
`boolean` | `isTerrainShadingEnabled()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static RenderingConfiguration getInstance()

  Returns:
    gets a RenderingConfiguration as a singleton pattern.

### getColoringAttributes

    public final javax.media.j3d.ColoringAttributes getColoringAttributes()

  Returns:
    the coloringAttributes, Configured rendering properties valid for all rendered primitives.

### getTextureAttributes

    public final javax.media.j3d.TextureAttributes getTextureAttributes()

  Returns:
    the TextureAttributes, Configured rendering properties valid for all rendered textured primitives.

### getSurfacePolygonAttributes

    public final javax.media.j3d.PolygonAttributes getSurfacePolygonAttributes()

  Returns:
    the surfacePolygonAttributes, Configured rendering properties for the rendered surfaces.

### getTerrainPolygonAttributes

    public final javax.media.j3d.PolygonAttributes getTerrainPolygonAttributes()

  Returns:
    the terrainPolygonAttributes, Configured rendering properties for the rendered terrain.

### getTexture

    public final javax.media.j3d.Texture getTexture(BufferedImage textureImage)

  Parameters:
    `textureImage` - the image to load as a texture
  Returns:
    a Texture with loaded according the configured mipmap properties.

### isObjectShadingEnabled

    public boolean isObjectShadingEnabled()

  Returns:
    the useMaterialShading

### isTerrainShadingEnabled

    public final boolean isTerrainShadingEnabled()

  Returns:
    the terrainShadingEnabled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org